Package com.logicaldoc.core.communication

# Class SystemMessage

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.communication.Message
com.logicaldoc.core.communication.SystemMessage

All Implemented Interfaces:
  `Serializable`

@Entity public class SystemMessage extends Message
SystemMessages are messages which an user only can send to other system users.

Since:
  1.0
Author:
  Michael Scholz, Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STATUS_DELIVERED`
`static final int`
`STATUS_ERROR`
`static final int`
`STATUS_NEW`

### Fields inherited from class com.logicaldoc.core.communication.Message

`TYPE_NOTIFICATION, TYPE_SYSTEM`

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`SystemMessage()`
`SystemMessage(SystemMessage source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`getConfirmation()`
`int`
`getDateScope()`
`Date`
`getLastNotified()`
`int`
`getPrio()`
`int`
`getStatus()`
`int`
`getTrials()`
`int`
`hashCode()`
`void`
`setConfirmation(int conf)`
`void`
`setDateScope(int scope)`
`void`
`setLastNotified(Date lastNotified)`
`void`
`setPrio(int pri)`
`void`
`setStatus(int status)`
`void`
`setTrials(int trials)`

### Methods inherited from class com.logicaldoc.core.communication.Message

`getAuthor, getLocale, getMessageText, getReceivedDate, getRecipient, getRecipients, getSentDate, getSubject, getType, isHtml, isNotify, setAuthor, setHtml, setLocale, setMessageText, setNotify, setReceivedDate, setRecipients, setSentDate, setSubject, setType, wasReadBy`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### STATUS_NEW

public static final int STATUS_NEW

See Also:
  - Constant Field Values

### STATUS_DELIVERED

public static final int STATUS_DELIVERED

See Also:
  - Constant Field Values

### STATUS_ERROR

public static final int STATUS_ERROR

See Also:
  - Constant Field Values

## Constructor Details

### SystemMessage

public SystemMessage()

### SystemMessage

public SystemMessage(SystemMessage source)

## Method Details

### getDateScope

public int getDateScope()

### getPrio

public int getPrio()

### getConfirmation

public int getConfirmation()

### setDateScope

public void setDateScope(int scope)

### setPrio

public void setPrio(int pri)

### setConfirmation

public void setConfirmation(int conf)

### getLastNotified

public Date getLastNotified()

### setLastNotified

public void setLastNotified(Date lastNotified)

### getStatus

public int getStatus()

### setStatus

public void setStatus(int status)

### getTrials

public int getTrials()

### setTrials

public void setTrials(int trials)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Message`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Message`